function err=intgausserr(X0,x,y)

% err=intgausserr(X0,x,y)
%
% Provides error to fit of Eq. (16) in:
%
%    Bruce, I. C. (2009). "Evaluation of stochastic differential equation
%    approximation of ion channel gating models," Annals of Biomedical
%    Engineering 37(4):824838.

thrsh    = X0(1);
noisestd = X0(2);

f = 1/2*(erf((x-thrsh)/sqrt(2)./noisestd)+1);

err = norm(f-y);

% Ian C. Bruce (ibruce@ieee.org)  2009

